## ide-cell-renderer-fancy ide-cell-renderer-fancy |

## Functions

GtkCellRenderer * | ide_cell_renderer_fancy_new ()
const gchar * | ide_cell_renderer_fancy_get_body ()
const gchar * | ide_cell_renderer_fancy_get_title ()
void | ide_cell_renderer_fancy_take_title ()
void | ide_cell_renderer_fancy_set_title ()
void | ide_cell_renderer_fancy_set_body ()

## Properties

gchar * | body | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | IDE_TYPE_CELL_RENDERER_FANCY
| IdeCellRendererFancy

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── IdeCellRendererFancy

## Description

## Functions

### ide_cell_renderer_fancy_new ()

    GtkCellRenderer *
    ide_cell_renderer_fancy_new (void);

### ide_cell_renderer_fancy_get_body ()

    const gchar *
    ide_cell_renderer_fancy_get_body (IdeCellRendererFancy *self);

### ide_cell_renderer_fancy_get_title ()

    const gchar *
    ide_cell_renderer_fancy_get_title (IdeCellRendererFancy *self);

### ide_cell_renderer_fancy_take_title ()

    void
    ide_cell_renderer_fancy_take_title (IdeCellRendererFancy *self,
                                        gchar *title);

Like `ide_cell_renderer_fancy_set_title()` but takes ownership of `title` , saving a string copy.

#### Parameters

self | a IdeCellRendererFancy |
title | the new title. | [transfer full][nullable]

Since: 3.32

### ide_cell_renderer_fancy_set_title ()

    void
    ide_cell_renderer_fancy_set_title (IdeCellRendererFancy *self,
                                       const gchar *title);

### ide_cell_renderer_fancy_set_body ()

    void
    ide_cell_renderer_fancy_set_body (IdeCellRendererFancy *self,
                                      const gchar *body);

## Types and Values

### IDE_TYPE_CELL_RENDERER_FANCY

    #define IDE_TYPE_CELL_RENDERER_FANCY (ide_cell_renderer_fancy_get_type())

### IdeCellRendererFancy

    typedef struct _IdeCellRendererFancy IdeCellRendererFancy;

## Property Details

### The `“body”` property

      “body”                     gchar *

The body of the renderer.

Owner: IdeCellRendererFancy

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    gchar *

The title of the renderer.

Owner: IdeCellRendererFancy

Flags: Read / Write

Default value: NULL